> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threatbook.io/llms.txt
> Use this file to discover all available pages before exploring further.

# URL

> This API provides malicious URLs.



## OpenAPI

````yaml api-reference/feeds/url.openapi.json GET /v2/feeds/stix/url
openapi: 3.1.0
info:
  title: URL
  description: This API provides malicious URLs.
  version: 1.0.0
servers:
  - url: https://api.threatbook.io
security: []
paths:
  /v2/feeds/stix/url:
    get:
      tags: []
      summary: URL
      description: This API provides malicious URLs.
      parameters:
        - name: time
          in: query
          description: |-
            Precise time in UTC, format: YYYYMMDD. 
            For example, 20210122 returns data from 2021-01-22 (UTC).
            Default: returns the most recent data (t-1 day).
            Feed packages can be retrieved for up to 90 days in the past.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example: "PK\x03\x04\x14\0\b\0\b\0Nz7\\\0\0\0\0\0\0\0\0W\x04\0\0\x11\0 \0url_20260109.jsonUT\n\0\a� si� si� siux\v\0\x01\x04�\x01\0\0\x04\x14\0\0\0�R�n�0\x10肩+\x04\n]r墒\x14)J�ü™As\t�K\x03绵cY车DGぼ\x1AA™�\x92�H@\x90额�\x17�\x99\x9DYr�t\x95$i<\x1F1m\x92T\n\x9D9`z3�\x9CY+\0Z[\x9B\x97\x95\x05�\x95ü\x13\x01u!\x15\b+\x99FQ\x95\\�\x97�pD�;a\x1F\x9C�&\x05\x9A�/üW_Q�0�\x1E�c\x92<碗怃:愦\x8C�\a\_FsΩ\x01Zk\x02\\�\x86谪\x1A\x04W\x91*�\x881虫荥:�\"�B\x9Dlg�V\x1E\x9Cv~\b骚�\x8F+�c\x17�=狮�…6\x8D<銮\x89蘧�W�\"�\x9B熘K锑�\a�;�xN\x7F�E�4r涛鼍\x9D\x1F\N�\x12H\x0EぜТ�ES�\x19!潴jx\x941b?苦眯\x1F\x9A�\x7F冷Cr�\x8F�\x18\x9A推�\x03\x06\b�\x83�\x14\x84\x14U�rVq\x90�99活\x8Br�\t俎酚\x1Eヶ\n]�a�\\oW\x17=\n]\x1F�e#缔8�.e亏\x0Ff禊�/褡X\x10Ss\x06\x9A�r\x8C�\x14\_ㄉ\x01+i\x98�\x88\n�…-™�_�\x97*\"�\x99}涿�\x06抨�{�}{y�o\x1D…\x9C�[鲲�\x1D醉阵OPK\a\b�++Q\x91\x01\0\0W\x04\0\0PK\x03\x04\x14\0\b\0\b\0Nz7\\\0\0\0\0\0\0\0\0�\0\0\0\x1C\0 \0__MACOSX/._url_20260109.jsonUT\n\0\a� si� si� siux\v\0\x01\x04�\x01\0\0\x04\x14\0\0\0c`\x15cg`b`�MLV�\x0FV\x88Pü\x02\x90\x18\x03'\x10\e\x01q!\x10\x83�\x8B\x19\x88\x02\x8E!!AP&H�\f �FS�\x88\x10\x17M蜗�K,(�I�+(�/K�K�KN\x05)赝w�:t�^s\0PK\a\by�m\x1AT\0\0\0�\0\0\0PK\x01\x02\x14\x03\x14\0\b\0\b\0Nz7\\�++Q\x91\x01\0\0W\x04\0\0\x11\0 \0\0\0\0\0\0\0\0\0�\0\0\0\0url_20260109.jsonUT\n\0\a� si� si� siux\v\0\x01\x04�\x01\0\0\x04\x14\0\0\0PK\x01\x02\x14\x03\x14\0\b\0\b\0Nz7\\y�m\x1AT\0\0\0�\0\0\0\x1C\0 \0\0\0\0\0\0\0\0\0��\x01\0\0__MACOSX/._url_20260109.jsonUT\n\0\a� si� si� siux\v\0\x01\x04�\x01\0\0\x04\x14\0\0\0PK\x05\x06\0\0\0\0\x02\0\x02\0�\0\0\0�\x02\0\0\0\0"
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  msg:
                    type: string
                    enum:
                      - Required:{resource/apikey}
                      - Invalid parameter:{parameter}
                  response_code:
                    type: integer
                    const: 400
                required:
                  - msg
                  - response_code
              examples:
                Example 1:
                  summary: Example 1
                  value:
                    msg: Required:{resource/apikey}
                    response_code: 400
        '401':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  msg:
                    type: string
                    enum:
                      - Invalid account status
                      - 'Invalid access IP: {actual IP address}'
                      - Invalid API key
                      - Invalid key status
                      - No access to the API
                      - Expired API key
                      - No access to the requested resource
                      - 'No access to: {parameter}'
                  response_code:
                    type: integer
                    const: 401
                required:
                  - msg
                  - response_code
              examples:
                Example 1:
                  summary: Example 1
                  value:
                    msg: Invalid account status
                    response_code: 401
        '405':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  msg:
                    type: string
                    const: Invalid API method
                  response_code:
                    type: integer
                    const: 405
                required:
                  - msg
                  - response_code
              examples:
                Example 1:
                  summary: Example 1
                  value:
                    msg: Invalid API method
                    response_code: 405
        '429':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  msg:
                    type: string
                    enum:
                      - Request rate limitation
                      - Beyond {daily/monthly/total} quotas limitation
                  response_code:
                    type: integer
                    const: 429
                required:
                  - msg
                  - response_code
              examples:
                Example 1:
                  summary: Example 1
                  value:
                    msg: Request rate limitation
                    response_code: 429
        '500':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  msg:
                    type: string
                    enum:
                      - System error
                      - URL Download Fail
                  response_code:
                    type: integer
                    const: 500
                required:
                  - msg
                  - response_code
              examples:
                Example 1:
                  summary: Example 1
                  value:
                    msg: System error
                    response_code: 500
      deprecated: false
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.